package com.move4mobile.smartpinsdkexample;

import android.util.SparseArray;
import android.util.SparseIntArray;
import android.view.View;
import androidx.databinding.DataBinderMapper;
import androidx.databinding.DataBindingComponent;
import androidx.databinding.ViewDataBinding;
import com.move4mobile.smartpinsdkexample.databinding.ActivityDicoveryTerminalsBindingImpl;
import com.move4mobile.smartpinsdkexample.databinding.ActivityMainBindingImpl;
import com.move4mobile.smartpinsdkexample.databinding.ActivityOrderBindingImpl;
import com.move4mobile.smartpinsdkexample.databinding.ActivityOrdersBindingImpl;
import com.move4mobile.smartpinsdkexample.databinding.ActivitySiteBindingImpl;
import com.move4mobile.smartpinsdkexample.databinding.ActivitySitesBindingImpl;
import com.move4mobile.smartpinsdkexample.databinding.ActivityTerminalBindingImpl;
import com.move4mobile.smartpinsdkexample.databinding.ActivityTerminalsBindingImpl;
import com.move4mobile.smartpinsdkexample.databinding.DialogResultBindingImpl;
import com.move4mobile.smartpinsdkexample.databinding.ListItemDiscoveredTerminalBindingImpl;
import com.move4mobile.smartpinsdkexample.databinding.ListItemOrderBindingImpl;
import com.move4mobile.smartpinsdkexample.databinding.ListItemOrderInfoBindingImpl;
import com.move4mobile.smartpinsdkexample.databinding.ListItemSiteBindingImpl;
import com.move4mobile.smartpinsdkexample.databinding.ListItemTerminalBindingImpl;
import java.lang.IllegalArgumentException;
import java.lang.Integer;
import java.lang.Object;
import java.lang.Override;
import java.lang.RuntimeException;
import java.lang.String;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class DataBinderMapperImpl extends DataBinderMapper {
  private static final int LAYOUT_ACTIVITYDICOVERYTERMINALS = 1;

  private static final int LAYOUT_ACTIVITYMAIN = 2;

  private static final int LAYOUT_ACTIVITYORDER = 3;

  private static final int LAYOUT_ACTIVITYORDERS = 4;

  private static final int LAYOUT_ACTIVITYSITE = 5;

  private static final int LAYOUT_ACTIVITYSITES = 6;

  private static final int LAYOUT_ACTIVITYTERMINAL = 7;

  private static final int LAYOUT_ACTIVITYTERMINALS = 8;

  private static final int LAYOUT_DIALOGRESULT = 9;

  private static final int LAYOUT_LISTITEMDISCOVEREDTERMINAL = 10;

  private static final int LAYOUT_LISTITEMORDER = 11;

  private static final int LAYOUT_LISTITEMORDERINFO = 12;

  private static final int LAYOUT_LISTITEMSITE = 13;

  private static final int LAYOUT_LISTITEMTERMINAL = 14;

  private static final SparseIntArray INTERNAL_LAYOUT_ID_LOOKUP = new SparseIntArray(14);

  static {
    INTERNAL_LAYOUT_ID_LOOKUP.put(com.move4mobile.smartpinsdkexample.R.layout.activity_dicovery_terminals, LAYOUT_ACTIVITYDICOVERYTERMINALS);
    INTERNAL_LAYOUT_ID_LOOKUP.put(com.move4mobile.smartpinsdkexample.R.layout.activity_main, LAYOUT_ACTIVITYMAIN);
    INTERNAL_LAYOUT_ID_LOOKUP.put(com.move4mobile.smartpinsdkexample.R.layout.activity_order, LAYOUT_ACTIVITYORDER);
    INTERNAL_LAYOUT_ID_LOOKUP.put(com.move4mobile.smartpinsdkexample.R.layout.activity_orders, LAYOUT_ACTIVITYORDERS);
    INTERNAL_LAYOUT_ID_LOOKUP.put(com.move4mobile.smartpinsdkexample.R.layout.activity_site, LAYOUT_ACTIVITYSITE);
    INTERNAL_LAYOUT_ID_LOOKUP.put(com.move4mobile.smartpinsdkexample.R.layout.activity_sites, LAYOUT_ACTIVITYSITES);
    INTERNAL_LAYOUT_ID_LOOKUP.put(com.move4mobile.smartpinsdkexample.R.layout.activity_terminal, LAYOUT_ACTIVITYTERMINAL);
    INTERNAL_LAYOUT_ID_LOOKUP.put(com.move4mobile.smartpinsdkexample.R.layout.activity_terminals, LAYOUT_ACTIVITYTERMINALS);
    INTERNAL_LAYOUT_ID_LOOKUP.put(com.move4mobile.smartpinsdkexample.R.layout.dialog_result, LAYOUT_DIALOGRESULT);
    INTERNAL_LAYOUT_ID_LOOKUP.put(com.move4mobile.smartpinsdkexample.R.layout.list_item_discovered_terminal, LAYOUT_LISTITEMDISCOVEREDTERMINAL);
    INTERNAL_LAYOUT_ID_LOOKUP.put(com.move4mobile.smartpinsdkexample.R.layout.list_item_order, LAYOUT_LISTITEMORDER);
    INTERNAL_LAYOUT_ID_LOOKUP.put(com.move4mobile.smartpinsdkexample.R.layout.list_item_order_info, LAYOUT_LISTITEMORDERINFO);
    INTERNAL_LAYOUT_ID_LOOKUP.put(com.move4mobile.smartpinsdkexample.R.layout.list_item_site, LAYOUT_LISTITEMSITE);
    INTERNAL_LAYOUT_ID_LOOKUP.put(com.move4mobile.smartpinsdkexample.R.layout.list_item_terminal, LAYOUT_LISTITEMTERMINAL);
  }

  @Override
  public ViewDataBinding getDataBinder(DataBindingComponent component, View view, int layoutId) {
    int localizedLayoutId = INTERNAL_LAYOUT_ID_LOOKUP.get(layoutId);
    if(localizedLayoutId > 0) {
      final Object tag = view.getTag();
      if(tag == null) {
        throw new RuntimeException("view must have a tag");
      }
      switch(localizedLayoutId) {
        case  LAYOUT_ACTIVITYDICOVERYTERMINALS: {
          if ("layout/activity_dicovery_terminals_0".equals(tag)) {
            return new ActivityDicoveryTerminalsBindingImpl(component, view);
          }
          throw new IllegalArgumentException("The tag for activity_dicovery_terminals is invalid. Received: " + tag);
        }
        case  LAYOUT_ACTIVITYMAIN: {
          if ("layout/activity_main_0".equals(tag)) {
            return new ActivityMainBindingImpl(component, view);
          }
          throw new IllegalArgumentException("The tag for activity_main is invalid. Received: " + tag);
        }
        case  LAYOUT_ACTIVITYORDER: {
          if ("layout/activity_order_0".equals(tag)) {
            return new ActivityOrderBindingImpl(component, view);
          }
          throw new IllegalArgumentException("The tag for activity_order is invalid. Received: " + tag);
        }
        case  LAYOUT_ACTIVITYORDERS: {
          if ("layout/activity_orders_0".equals(tag)) {
            return new ActivityOrdersBindingImpl(component, view);
          }
          throw new IllegalArgumentException("The tag for activity_orders is invalid. Received: " + tag);
        }
        case  LAYOUT_ACTIVITYSITE: {
          if ("layout/activity_site_0".equals(tag)) {
            return new ActivitySiteBindingImpl(component, view);
          }
          throw new IllegalArgumentException("The tag for activity_site is invalid. Received: " + tag);
        }
        case  LAYOUT_ACTIVITYSITES: {
          if ("layout/activity_sites_0".equals(tag)) {
            return new ActivitySitesBindingImpl(component, view);
          }
          throw new IllegalArgumentException("The tag for activity_sites is invalid. Received: " + tag);
        }
        case  LAYOUT_ACTIVITYTERMINAL: {
          if ("layout/activity_terminal_0".equals(tag)) {
            return new ActivityTerminalBindingImpl(component, view);
          }
          throw new IllegalArgumentException("The tag for activity_terminal is invalid. Received: " + tag);
        }
        case  LAYOUT_ACTIVITYTERMINALS: {
          if ("layout/activity_terminals_0".equals(tag)) {
            return new ActivityTerminalsBindingImpl(component, view);
          }
          throw new IllegalArgumentException("The tag for activity_terminals is invalid. Received: " + tag);
        }
        case  LAYOUT_DIALOGRESULT: {
          if ("layout/dialog_result_0".equals(tag)) {
            return new DialogResultBindingImpl(component, view);
          }
          throw new IllegalArgumentException("The tag for dialog_result is invalid. Received: " + tag);
        }
        case  LAYOUT_LISTITEMDISCOVEREDTERMINAL: {
          if ("layout/list_item_discovered_terminal_0".equals(tag)) {
            return new ListItemDiscoveredTerminalBindingImpl(component, view);
          }
          throw new IllegalArgumentException("The tag for list_item_discovered_terminal is invalid. Received: " + tag);
        }
        case  LAYOUT_LISTITEMORDER: {
          if ("layout/list_item_order_0".equals(tag)) {
            return new ListItemOrderBindingImpl(component, view);
          }
          throw new IllegalArgumentException("The tag for list_item_order is invalid. Received: " + tag);
        }
        case  LAYOUT_LISTITEMORDERINFO: {
          if ("layout/list_item_order_info_0".equals(tag)) {
            return new ListItemOrderInfoBindingImpl(component, view);
          }
          throw new IllegalArgumentException("The tag for list_item_order_info is invalid. Received: " + tag);
        }
        case  LAYOUT_LISTITEMSITE: {
          if ("layout/list_item_site_0".equals(tag)) {
            return new ListItemSiteBindingImpl(component, view);
          }
          throw new IllegalArgumentException("The tag for list_item_site is invalid. Received: " + tag);
        }
        case  LAYOUT_LISTITEMTERMINAL: {
          if ("layout/list_item_terminal_0".equals(tag)) {
            return new ListItemTerminalBindingImpl(component, view);
          }
          throw new IllegalArgumentException("The tag for list_item_terminal is invalid. Received: " + tag);
        }
      }
    }
    return null;
  }

  @Override
  public ViewDataBinding getDataBinder(DataBindingComponent component, View[] views, int layoutId) {
    if(views == null || views.length == 0) {
      return null;
    }
    int localizedLayoutId = INTERNAL_LAYOUT_ID_LOOKUP.get(layoutId);
    if(localizedLayoutId > 0) {
      final Object tag = views[0].getTag();
      if(tag == null) {
        throw new RuntimeException("view must have a tag");
      }
      switch(localizedLayoutId) {
      }
    }
    return null;
  }

  @Override
  public int getLayoutId(String tag) {
    if (tag == null) {
      return 0;
    }
    Integer tmpVal = InnerLayoutIdLookup.sKeys.get(tag);
    return tmpVal == null ? 0 : tmpVal;
  }

  @Override
  public String convertBrIdToString(int localId) {
    String tmpVal = InnerBrLookup.sKeys.get(localId);
    return tmpVal;
  }

  @Override
  public List<DataBinderMapper> collectDependencies() {
    ArrayList<DataBinderMapper> result = new ArrayList<DataBinderMapper>(1);
    result.add(new androidx.databinding.library.baseAdapters.DataBinderMapperImpl());
    return result;
  }

  private static class InnerBrLookup {
    static final SparseArray<String> sKeys = new SparseArray<String>(20);

    static {
      sKeys.put(0, "_all");
      sKeys.put(1, "address");
      sKeys.put(2, "aid");
      sKeys.put(3, "amount");
      sKeys.put(4, "date");
      sKeys.put(5, "externalId");
      sKeys.put(6, "id");
      sKeys.put(7, "method");
      sKeys.put(8, "name");
      sKeys.put(9, "orderId");
      sKeys.put(10, "pan");
      sKeys.put(11, "price");
      sKeys.put(12, "siteId");
      sKeys.put(13, "terminalId");
      sKeys.put(14, "terminals");
      sKeys.put(15, "title");
      sKeys.put(16, "transactionId");
      sKeys.put(17, "type");
      sKeys.put(18, "value");
      sKeys.put(19, "viewModel");
    }
  }

  private static class InnerLayoutIdLookup {
    static final HashMap<String, Integer> sKeys = new HashMap<String, Integer>(14);

    static {
      sKeys.put("layout/activity_dicovery_terminals_0", com.move4mobile.smartpinsdkexample.R.layout.activity_dicovery_terminals);
      sKeys.put("layout/activity_main_0", com.move4mobile.smartpinsdkexample.R.layout.activity_main);
      sKeys.put("layout/activity_order_0", com.move4mobile.smartpinsdkexample.R.layout.activity_order);
      sKeys.put("layout/activity_orders_0", com.move4mobile.smartpinsdkexample.R.layout.activity_orders);
      sKeys.put("layout/activity_site_0", com.move4mobile.smartpinsdkexample.R.layout.activity_site);
      sKeys.put("layout/activity_sites_0", com.move4mobile.smartpinsdkexample.R.layout.activity_sites);
      sKeys.put("layout/activity_terminal_0", com.move4mobile.smartpinsdkexample.R.layout.activity_terminal);
      sKeys.put("layout/activity_terminals_0", com.move4mobile.smartpinsdkexample.R.layout.activity_terminals);
      sKeys.put("layout/dialog_result_0", com.move4mobile.smartpinsdkexample.R.layout.dialog_result);
      sKeys.put("layout/list_item_discovered_terminal_0", com.move4mobile.smartpinsdkexample.R.layout.list_item_discovered_terminal);
      sKeys.put("layout/list_item_order_0", com.move4mobile.smartpinsdkexample.R.layout.list_item_order);
      sKeys.put("layout/list_item_order_info_0", com.move4mobile.smartpinsdkexample.R.layout.list_item_order_info);
      sKeys.put("layout/list_item_site_0", com.move4mobile.smartpinsdkexample.R.layout.list_item_site);
      sKeys.put("layout/list_item_terminal_0", com.move4mobile.smartpinsdkexample.R.layout.list_item_terminal);
    }
  }
}
