package com.move4mobile.smartpinsdkexample.databinding;
import com.move4mobile.smartpinsdkexample.R;
import com.move4mobile.smartpinsdkexample.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ActivitySiteBindingImpl extends ActivitySiteBinding  {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = new androidx.databinding.ViewDataBinding.IncludedLayouts(8);
        sIncludes.setIncludes(1, 
            new String[] {"list_item_order_info", "list_item_order_info", "list_item_order_info", "list_item_order_info"},
            new int[] {2, 3, 4, 5},
            new int[] {com.move4mobile.smartpinsdkexample.R.layout.list_item_order_info,
                com.move4mobile.smartpinsdkexample.R.layout.list_item_order_info,
                com.move4mobile.smartpinsdkexample.R.layout.list_item_order_info,
                com.move4mobile.smartpinsdkexample.R.layout.list_item_order_info});
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.loader, 6);
        sViewsWithIds.put(R.id.terminals, 7);
    }
    // views
    @NonNull
    private final android.widget.LinearLayout mboundView0;
    @Nullable
    private final com.move4mobile.smartpinsdkexample.databinding.ListItemOrderInfoBinding mboundView1;
    @Nullable
    private final com.move4mobile.smartpinsdkexample.databinding.ListItemOrderInfoBinding mboundView11;
    @Nullable
    private final com.move4mobile.smartpinsdkexample.databinding.ListItemOrderInfoBinding mboundView12;
    @Nullable
    private final com.move4mobile.smartpinsdkexample.databinding.ListItemOrderInfoBinding mboundView13;
    // variables
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ActivitySiteBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 8, sIncludes, sViewsWithIds));
    }
    private ActivitySiteBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.LinearLayout) bindings[1]
            , (android.widget.ProgressBar) bindings[6]
            , (android.widget.LinearLayout) bindings[7]
            );
        this.content.setTag(null);
        this.mboundView0 = (android.widget.LinearLayout) bindings[0];
        this.mboundView0.setTag(null);
        this.mboundView1 = (com.move4mobile.smartpinsdkexample.databinding.ListItemOrderInfoBinding) bindings[2];
        setContainedBinding(this.mboundView1);
        this.mboundView11 = (com.move4mobile.smartpinsdkexample.databinding.ListItemOrderInfoBinding) bindings[3];
        setContainedBinding(this.mboundView11);
        this.mboundView12 = (com.move4mobile.smartpinsdkexample.databinding.ListItemOrderInfoBinding) bindings[4];
        setContainedBinding(this.mboundView12);
        this.mboundView13 = (com.move4mobile.smartpinsdkexample.databinding.ListItemOrderInfoBinding) bindings[5];
        setContainedBinding(this.mboundView13);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x8L;
        }
        mboundView1.invalidateAll();
        mboundView11.invalidateAll();
        mboundView12.invalidateAll();
        mboundView13.invalidateAll();
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        if (mboundView1.hasPendingBindings()) {
            return true;
        }
        if (mboundView11.hasPendingBindings()) {
            return true;
        }
        if (mboundView12.hasPendingBindings()) {
            return true;
        }
        if (mboundView13.hasPendingBindings()) {
            return true;
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.externalId == variableId) {
            setExternalId((java.lang.String) variable);
        }
        else if (BR.id == variableId) {
            setId((java.lang.String) variable);
        }
        else if (BR.name == variableId) {
            setName((java.lang.String) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setExternalId(@Nullable java.lang.String ExternalId) {
        this.mExternalId = ExternalId;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.externalId);
        super.requestRebind();
    }
    public void setId(@Nullable java.lang.String Id) {
        this.mId = Id;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.id);
        super.requestRebind();
    }
    public void setName(@Nullable java.lang.String Name) {
        this.mName = Name;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.name);
        super.requestRebind();
    }

    @Override
    public void setLifecycleOwner(@Nullable androidx.lifecycle.LifecycleOwner lifecycleOwner) {
        super.setLifecycleOwner(lifecycleOwner);
        mboundView1.setLifecycleOwner(lifecycleOwner);
        mboundView11.setLifecycleOwner(lifecycleOwner);
        mboundView12.setLifecycleOwner(lifecycleOwner);
        mboundView13.setLifecycleOwner(lifecycleOwner);
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String externalId = mExternalId;
        java.lang.String id = mId;
        java.lang.String name = mName;

        if ((dirtyFlags & 0x9L) != 0) {
        }
        if ((dirtyFlags & 0xaL) != 0) {
        }
        if ((dirtyFlags & 0xcL) != 0) {
        }
        // batch finished
        if ((dirtyFlags & 0x8L) != 0) {
            // api target 1

            this.mboundView1.setTitle(getRoot().getResources().getString(R.string.site_id));
            this.mboundView11.setTitle(getRoot().getResources().getString(R.string.external_id));
            this.mboundView12.setTitle(getRoot().getResources().getString(R.string.name));
            this.mboundView13.setTitle(getRoot().getResources().getString(R.string.terminals));
        }
        if ((dirtyFlags & 0xaL) != 0) {
            // api target 1

            this.mboundView1.setValue(id);
        }
        if ((dirtyFlags & 0x9L) != 0) {
            // api target 1

            this.mboundView11.setValue(externalId);
        }
        if ((dirtyFlags & 0xcL) != 0) {
            // api target 1

            this.mboundView12.setValue(name);
        }
        executeBindingsOn(mboundView1);
        executeBindingsOn(mboundView11);
        executeBindingsOn(mboundView12);
        executeBindingsOn(mboundView13);
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): externalId
        flag 1 (0x2L): id
        flag 2 (0x3L): name
        flag 3 (0x4L): null
    flag mapping end*/
    //end
}